Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class SimpleLog4JLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.SimpleLog4JLogSystem

All Implemented Interfaces:
  LogSystem

Deprecated. Use Log4JLogChute instead.

public class SimpleLog4JLogSystem
extends Object
implements LogSystem

This class is deprecated in favor of the new `Log4JLogChute`, which makes use of Log4J's `Logger` rather than its deprecated `Category` class.

Implementation of a simple log4j system that will either latch onto an existing category, or just do a simple rolling file log. Derived from Jon's 'complicated' version :)

Version:
  $Id: SimpleLog4JLogSystem.java 718424 2008-11-17 22:50:43Z nbubna $
Author:

  Field Summary
  `protected Category` | `logger` Deprecated. log4java logging interface

  Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
  `DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

  Constructor Summary
  `SimpleLog4JLogSystem()` Deprecated.

  Method Summary
  `protected void` | `finalize()` Deprecated. Also do a shutdown if the object is destroy()'d.
  `void` | `init(RuntimeServices rs)` Deprecated. Initializes this LogSystem.
  `void` | `logVelocityMessage(int level, String message)` Deprecated. logs messages
  `void` | `shutdown()` Deprecated. Close all destinations

  Methods inherited from class java.lang.Object
  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### logger

      protected Category logger

    Deprecated.
    log4java logging interface

  Constructor Detail

  ### SimpleLog4JLogSystem

      public SimpleLog4JLogSystem()

    Deprecated.

  Method Detail

  ### init

      public void init(RuntimeServices rs)

    Deprecated.
    Description copied from interface: `LogSystem`
    Initializes this LogSystem.

    Specified by:
      `init` in interface `LogSystem`
    Parameters:
      `rs` -
    See Also:
      `LogSystem.init(org.apache.velocity.runtime.RuntimeServices)`

  ### logVelocityMessage

      public void logVelocityMessage(int level,
                                     String message)

    Deprecated.
    logs messages

    Specified by:
      `logVelocityMessage` in interface `LogSystem`
    Parameters:
      `level` - severity level
      `message` - complete error message

  ### finalize

      protected void finalize()
                       throws Throwable

    Deprecated.
    Also do a shutdown if the object is destroy()'d.

    Throws:
      `Throwable`

  ### shutdown

      public void shutdown()

    Deprecated.
    Close all destinations

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.